Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.xml
Class OriginImpl

    java.lang.Object
      org.hibernate.internal.util.xml.OriginImpl

All Implemented Interfaces:
  Serializable, Origin

    public class OriginImpl

extends Object
implements Origin, Serializable

Basic implementation of `Origin`

See Also:
  Serialized Form

Constructor Summary
`OriginImpl(String type, String name)`

Method Summary
`String` | `getName()` The name of the document origin.
`String` | `getType()` Retrieve the type of origin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginImpl

    public OriginImpl(String type,
                      String name)

Method Detail

### getType

    public String getType()

  Retrieve the type of origin. This is not a discrete set, but might be somethign like `file` for file protocol URLs, or `resource` for classpath resource lookups.

  Specified by:
    `getType` in interface `Origin`
  Returns:
    The origin type.

### getName

    public String getName()

  The name of the document origin. Interpretation is relative to the type, but might be the resource name or file URL.

  Specified by:
    `getName` in interface `Origin`
  Returns:
    The name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.